F15RC3 "Upgrade" installation: ERROR with rpm_check_debug vs depsolve:

Richard Ryniker ryniker at alum.mit.edu
Mon May 16 15:07:44 UTC 2011


I normally eschew "Upgrade" installation, because the result can mix old
and new files in ways that too often lead to mysterious problems,
sometimes months later.

There be rocks in the upgrade waters!

Yesterday I inadvertently failed to check "New install" when using the
F15RC3 DVD, and thus launched an Upgrade installation on a F14 machine.
This appeared to work.  The machine rebooted, and I thought I got away
with this.

Then, I tried "yum update".

This failed, provided some entertainment, and convinced me I really
should have chosen "New install" - which I then proceeded to do without
problems.

Even though I feel upgrade problems are difficult (and possibly
low-profit, when there are always new problems to solve), I would feel
some guilt if I did not report my results, however accidental they were.


[root at vista ryniker]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package avahi-ui.x86_64 0:0.6.27-2.fc14 will be updated
---> Package avahi-ui.x86_64 0:0.6.30-3.fc15 will be an update
---> Package color-filesystem.noarch 0:1-7 will be updated
---> Package color-filesystem.noarch 0:1-8 will be an update
---> Package compat-db-headers.noarch 0:4.7.25-17.fc14 will be updated
---> Package compat-db-headers.noarch 0:4.7.25-19.fc15 will be an update
---> Package compat-db47.x86_64 0:4.7.25-17.fc14 will be updated
---> Package compat-db47.x86_64 0:4.7.25-19.fc15 will be an update
---> Package compiz.x86_64 0:0.8.6-6.fc14 will be updated
---> Package compiz.x86_64 0:0.9.4-1.fc15 will be an update
---> Package compiz-gnome.x86_64 0:0.8.6-6.fc14 will be updated
---> Package compiz-gnome.x86_64 0:0.9.4-1.fc15 will be an update
--> Processing Dependency: compiz-gtk = 0.9.4-1.fc15 for package: compiz-gnome-0.9.4-1.fc15.x86_64
---> Package dbus-c++.x86_64 0:0.5.0-0.11.20090203git13281b3.fc13 will be updated
---> Package dbus-c++.x86_64 0:0.5.0-0.12.20090203git13281b3.fc15 will be an update
---> Package dmz-cursor-themes.noarch 0:0.4-3.fc14 will be updated
---> Package dmz-cursor-themes.noarch 0:0.4-4.fc15 will be an update
---> Package eclipse-mylyn-context-java.noarch 0:3.5.1-1.fc15 will be obsoleting
--> Processing Dependency: eclipse-mylyn-context = 3.5.1-1.fc15 for package: eclipse-mylyn-context-java-3.5.1-1.fc15.noarch
---> Package eclipse-mylyn-java.noarch 0:3.4.0-4.fc14 will be obsoleted
---> Package fedora-screensaver-theme.noarch 0:1.0.0-5.fc12 will be updated
---> Package fedora-screensaver-theme.noarch 0:1.0.0-6.fc15 will be an update
---> Package file-devel.x86_64 0:5.04-16.fc14 will be updated
---> Package file-devel.x86_64 0:5.05-3.fc15 will be an update
---> Package flex-static.x86_64 0:2.5.35-11.fc14 will be updated
---> Package flex-static.x86_64 0:2.5.35-13.fc15 will be an update
---> Package gconfmm26.x86_64 0:2.28.2-1.fc14 will be updated
---> Package gconfmm26.x86_64 0:2.28.2-2.fc15 will be an update
---> Package gkrellm.x86_64 0:2.3.4-3.fc14 will be updated
---> Package gkrellm.x86_64 0:2.3.5-4.fc15 will be an update
---> Package glew.x86_64 0:1.5.7-1.fc14 will be updated
--> Processing Dependency: libGLEW.so.1.5()(64bit) for package: glew-1.5.8-3.fc15.x86_64
--> Processing Dependency: libGLEW.so.1.5()(64bit) for package: glx-utils-7.10-4.20101028.fc15.x86_64
---> Package glew.x86_64 0:1.5.8-3.fc15 will be an update
---> Package gnome-applets.x86_64 1:2.32.0-3.fc14 will be updated
---> Package gnome-applets.x86_64 1:2.32.0-3.fc15 will be an update
---> Package gnome-color-manager.x86_64 0:2.32.0-2.fc14 will be updated
---> Package gnome-color-manager.x86_64 0:3.0.0-3.fc15 will be an update
---> Package gnome-doc-utils.noarch 0:0.20.2-1.fc14 will be updated
---> Package gnome-doc-utils.noarch 0:0.20.5-1.fc15 will be an update
---> Package gnome-doc-utils-stylesheets.noarch 0:0.20.2-1.fc14 will be updated
---> Package gnome-doc-utils-stylesheets.noarch 0:0.20.5-1.fc15 will be an update
---> Package gnome-media.x86_64 0:2.32.0-2.fc14 will be updated
---> Package gnome-media.x86_64 0:2.91.2-6.fc15 will be an update
---> Package gnome-user-share.x86_64 0:2.30.1-1.fc14 will be updated
---> Package gnome-user-share.x86_64 0:3.0.0-1.fc15 will be an update
---> Package gnote.x86_64 0:0.7.3-4.fc14 will be updated
---> Package gnote.x86_64 0:0.7.4-1.fc15 will be an update
---> Package gok.x86_64 0:2.30.1-1.fc14 will be updated
---> Package gok.x86_64 0:2.30.1-1.fc15 will be an update
---> Package gtkhtml2.x86_64 0:2.11.1-8.fc14 will be updated
---> Package gtkhtml2.x86_64 0:2.11.1-11.fc15 will be an update
---> Package gtkimageview.x86_64 0:1.6.4-2.fc14 will be updated
---> Package gtkimageview.x86_64 0:1.6.4-3.fc15 will be an update
---> Package gtkmm24.x86_64 0:2.22.0-1.fc14 will be updated
---> Package gtkmm24.x86_64 0:2.24.0-3.fc15 will be an update
---> Package gtksourceview2.x86_64 0:2.11.2-3.fc14 will be updated
---> Package gtksourceview2.x86_64 0:2.11.2-6.fc15 will be an update
---> Package gtkspell.x86_64 0:2.0.16-1.fc13 will be updated
---> Package gtkspell.x86_64 0:2.0.16-2.fc15 will be an update
---> Package isomd5sum.x86_64 1:1.0.6-2.fc14 will be updated
---> Package isomd5sum.x86_64 1:1.0.7-1.fc15 will be an update
---> Package krb5-auth-dialog.x86_64 0:0.16-1.fc14 will be updated
---> Package krb5-auth-dialog.x86_64 0:3.0.1-1.fc15 will be an update
---> Package laughlin-backgrounds-gnome.noarch 0:14.1.0-1.fc14 will be updated
--> Processing Dependency: system-backgrounds-gnome for package: gnome-desktop3-3.0.1-2.fc15.x86_64
---> Package laughlin-backgrounds-gnome.noarch 0:14.1.0-3.fc15 will be an update
---> Package laughlin-backgrounds-single.noarch 0:14.1.0-1.fc14 will be updated
---> Package laughlin-backgrounds-single.noarch 0:14.1.0-3.fc15 will be an update
---> Package libewf.x86_64 0:20100226-2.fc14 will be updated
---> Package libewf.x86_64 0:20100226-3.fc15 will be an update
---> Package libgxim.x86_64 0:0.3.3-3.fc12 will be updated
---> Package libgxim.x86_64 0:0.3.3-4.fc15 will be an update
---> Package libnih.x86_64 0:1.0.2-2.fc14 will be updated
---> Package libnih.x86_64 0:1.0.2-4.fc15 will be an update
---> Package libntlm.x86_64 0:1.2-1.fc13 will be updated
---> Package libntlm.x86_64 0:1.2-2.fc15 will be an update
---> Package liboil.x86_64 0:0.3.16-4.fc12 will be updated
---> Package liboil.x86_64 0:0.3.16-5.fc15 will be an update
---> Package libxslt-devel.x86_64 0:1.1.26-3.fc14 will be updated
---> Package libxslt-devel.x86_64 0:1.1.26-8.fc15 will be an update
---> Package libxslt-python.x86_64 0:1.1.26-3.fc14 will be updated
---> Package libxslt-python.x86_64 0:1.1.26-8.fc15 will be an update
---> Package livecd-tools.x86_64 1:14.2-1.fc14 will be updated
---> Package livecd-tools.x86_64 1:15.7-1.fc15 will be an update
---> Package liveusb-creator.noarch 0:3.9.3-1.fc14 will be updated
---> Package liveusb-creator.noarch 0:3.11.0-1.fc15 will be an update
---> Package mod_dnssd.x86_64 0:0.6-2.fc11 will be updated
---> Package mod_dnssd.x86_64 0:0.6-4.fc15 will be an update
---> Package perl-Perlilog.noarch 0:0.3-5.fc14 will be updated
---> Package perl-Perlilog.noarch 0:0.3-8.fc15 will be an update
---> Package pilot-link-devel.x86_64 2:0.12.5-2.fc14 will be updated
---> Package pilot-link-devel.x86_64 2:0.12.5-5.fc15 will be an update
---> Package policycoreutils-gui.x86_64 0:2.0.83-33.10.fc14 will be updated
---> Package policycoreutils-gui.x86_64 0:2.0.86-7.fc15 will be an update
---> Package pygtksourceview.x86_64 0:2.10.1-2.fc14 will be updated
---> Package pygtksourceview.x86_64 0:2.10.1-3.fc15 will be an update
---> Package pykickstart.noarch 0:1.77-2.fc14 will be updated
---> Package pykickstart.noarch 0:1.82-1.fc15 will be an update
---> Package pyparted.x86_64 0:3.4-3.fc14 will be updated
---> Package pyparted.x86_64 0:3.5-2.fc15 will be an update
---> Package python-imgcreate.x86_64 1:14.2-1.fc14 will be updated
---> Package python-imgcreate.x86_64 1:15.7-1.fc15 will be an update
---> Package qt-assistant-adp.x86_64 0:4.6.3-1.fc14 will be updated
---> Package qt-assistant-adp.x86_64 0:4.6.3-2.fc15 will be an update
---> Package qt3.x86_64 0:3.3.8b-30.fc14 will be updated
---> Package qt3.x86_64 0:3.3.8b-35.fc15 will be an update
---> Package setools-console.x86_64 0:3.3.7-11.fc14 will be updated
---> Package setools-console.x86_64 0:3.3.7-12.fc15 will be an update
---> Package shared-color-profiles.noarch 0:0.1.1-1.fc14 will be updated
---> Package shared-color-profiles.noarch 0:0.1.4-1.fc15 will be an update
---> Package squashfs-tools.x86_64 0:4.1-2.fc14 will be updated
---> Package squashfs-tools.x86_64 0:4.2-1.fc15 will be an update
---> Package syslinux.x86_64 0:4.02-3.fc14 will be updated
---> Package syslinux.x86_64 0:4.02-4.fc15 will be an update
---> Package syslinux-extlinux.x86_64 0:4.02-3.fc14 will be updated
---> Package syslinux-extlinux.x86_64 0:4.02-4.fc15 will be an update
---> Package system-config-lvm.noarch 0:1.1.15-1.fc14 will be updated
---> Package system-config-lvm.noarch 0:1.1.15-2.fc15 will be an update
---> Package system-config-network.noarch 0:1.6.2-1.fc14 will be updated
---> Package system-config-network.noarch 0:1.6.2-2.fc15 will be an update
---> Package testdisk.x86_64 0:6.11-6.fc12 will be updated
---> Package testdisk.x86_64 0:6.11-9.fc15 will be an update
---> Package tomcat5-jasper.noarch 0:5.5.27-7.4.fc12 will be updated
---> Package tomcat5-jasper.noarch 0:5.5.31-3.fc15 will be an update
---> Package tomcat5-jsp-2.0-api.noarch 0:5.5.27-7.4.fc12 will be updated
---> Package tomcat5-jsp-2.0-api.noarch 0:5.5.31-3.fc15 will be an update
--> Running transaction check
---> Package compiz-gtk.x86_64 0:0.9.4-1.fc15 will be installed
--> Processing Dependency: compiz-plugins-main > 0.9 for package: compiz-gtk-0.9.4-1.fc15.x86_64
--> Processing Dependency: libcompizconfig for package: compiz-gtk-0.9.4-1.fc15.x86_64
---> Package desktop-backgrounds-gnome.noarch 0:15.0.0-8.fc15 will be installed
--> Processing Dependency: lovelock-backgrounds-stripes-gnome for package: desktop-backgrounds-gnome-15.0.0-8.fc15.noarch
---> Package eclipse-mylyn-context.noarch 0:3.5.1-1.fc15 will be installed
---> Package libGLEW.x86_64 0:1.5.8-3.fc15 will be installed
--> Running transaction check
---> Package compiz-plugins-main.x86_64 0:0.9.4-1.fc15 will be installed
---> Package libcompizconfig.x86_64 0:0.9.4-1.fc15 will be installed
--> Processing Dependency: libprotobuf.so.6()(64bit) for package: libcompizconfig-0.9.4-1.fc15.x86_64
---> Package lovelock-backgrounds-stripes-gnome.noarch 0:14.91.1-1.fc15 will be installed
--> Processing Dependency: lovelock-backgrounds-stripes-single = 14.91.1-1.fc15 for package: lovelock-backgrounds-stripes-gnome-14.91.1-1.fc15.noarch
--> Running transaction check
---> Package lovelock-backgrounds-stripes-single.noarch 0:14.91.1-1.fc15 will be installed
---> Package protobuf.x86_64 0:2.3.0-7.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                             Arch   Version                Repository
                                                                           Size
================================================================================
Installing:
 eclipse-mylyn-context-java          noarch 3.5.1-1.fc15           fedora 185 k
     replacing  eclipse-mylyn-java.noarch 3.4.0-4.fc14
Updating:
 avahi-ui                            x86_64 0.6.30-3.fc15          fedora  33 k
 color-filesystem                    noarch 1-8                    fedora 4.6 k
 compat-db-headers                   noarch 4.7.25-19.fc15         fedora  57 k
 compat-db47                         x86_64 4.7.25-19.fc15         fedora 738 k
 compiz                              x86_64 0.9.4-1.fc15           fedora 1.3 M
 compiz-gnome                        x86_64 0.9.4-1.fc15           fedora  27 k
 dbus-c++                            x86_64 0.5.0-0.12.20090203git13281b3.fc15
                                                                   fedora 115 k
 dmz-cursor-themes                   noarch 0.4-4.fc15             fedora 255 k
 fedora-screensaver-theme            noarch 1.0.0-6.fc15           fedora  11 k
 file-devel                          x86_64 5.05-3.fc15            fedora  25 k
 flex-static                         x86_64 2.5.35-13.fc15         fedora  12 k
 gconfmm26                           x86_64 2.28.2-2.fc15          fedora  45 k
 gkrellm                             x86_64 2.3.5-4.fc15           fedora 569 k
 glew                                x86_64 1.5.8-3.fc15           fedora  89 k
 gnome-applets                       x86_64 1:2.32.0-3.fc15        fedora 5.5 M
 gnome-color-manager                 x86_64 3.0.0-3.fc15           fedora 2.2 M
 gnome-doc-utils                     noarch 0.20.5-1.fc15          fedora 284 k
 gnome-doc-utils-stylesheets         noarch 0.20.5-1.fc15          fedora 149 k
 gnome-media                         x86_64 2.91.2-6.fc15          fedora 491 k
 gnome-user-share                    x86_64 3.0.0-1.fc15           fedora 711 k
 gnote                               x86_64 0.7.4-1.fc15           fedora 2.1 M
 gok                                 x86_64 2.30.1-1.fc15          fedora 1.1 M
 gtkhtml2                            x86_64 2.11.1-11.fc15         fedora 229 k
 gtkimageview                        x86_64 1.6.4-3.fc15           fedora  39 k
 gtkmm24                             x86_64 2.24.0-3.fc15          fedora 831 k
 gtksourceview2                      x86_64 2.11.2-6.fc15          fedora 667 k
 gtkspell                            x86_64 2.0.16-2.fc15          fedora  39 k
 isomd5sum                           x86_64 1:1.0.7-1.fc15         fedora  24 k
 krb5-auth-dialog                    x86_64 3.0.1-1.fc15           fedora 248 k
 laughlin-backgrounds-gnome          noarch 14.1.0-3.fc15          fedora 4.8 k
 laughlin-backgrounds-single         noarch 14.1.0-3.fc15          fedora 7.0 M
 libewf                              x86_64 20100226-3.fc15        fedora 142 k
 libgxim                             x86_64 0.3.3-4.fc15           fedora 126 k
 libnih                              x86_64 1.0.2-4.fc15           fedora 137 k
 libntlm                             x86_64 1.2-2.fc15             fedora  42 k
 liboil                              x86_64 0.3.16-5.fc15          fedora 115 k
 libxslt-devel                       x86_64 1.1.26-8.fc15          fedora 305 k
 libxslt-python                      x86_64 1.1.26-8.fc15          fedora  49 k
 livecd-tools                        x86_64 1:15.7-1.fc15          fedora  59 k
 liveusb-creator                     noarch 3.11.0-1.fc15          fedora 170 k
 mod_dnssd                           x86_64 0.6-4.fc15             fedora  21 k
 perl-Perlilog                       noarch 0.3-8.fc15             fedora  59 k
 pilot-link-devel                    x86_64 2:0.12.5-5.fc15        fedora  67 k
 policycoreutils-gui                 x86_64 2.0.86-7.fc15          fedora 204 k
 pygtksourceview                     x86_64 2.10.1-3.fc15          fedora  49 k
 pykickstart                         noarch 1.82-1.fc15            fedora 274 k
 pyparted                            x86_64 3.5-2.fc15             fedora 183 k
 python-imgcreate                    x86_64 1:15.7-1.fc15          fedora  89 k
 qt-assistant-adp                    x86_64 4.6.3-2.fc15           fedora 247 k
 qt3                                 x86_64 3.3.8b-35.fc15         fedora 3.4 M
 setools-console                     x86_64 3.3.7-12.fc15          fedora 318 k
 shared-color-profiles               noarch 0.1.4-1.fc15           fedora 143 k
 squashfs-tools                      x86_64 4.2-1.fc15             fedora 114 k
 syslinux                            x86_64 4.02-4.fc15            fedora 784 k
 syslinux-extlinux                   x86_64 4.02-4.fc15            fedora 335 k
 system-config-lvm                   noarch 1.1.15-2.fc15          fedora 458 k
 system-config-network               noarch 1.6.2-2.fc15           fedora 308 k
 testdisk                            x86_64 6.11-9.fc15            fedora 267 k
 tomcat5-jasper                      noarch 5.5.31-3.fc15          fedora 473 k
 tomcat5-jsp-2.0-api                 noarch 5.5.31-3.fc15          fedora  74 k
Installing for dependencies:
 compiz-gtk                          x86_64 0.9.4-1.fc15           fedora 137 k
 compiz-plugins-main                 x86_64 0.9.4-1.fc15           fedora 889 k
 desktop-backgrounds-gnome           noarch 15.0.0-8.fc15          fedora  12 k
 eclipse-mylyn-context               noarch 3.5.1-1.fc15           fedora 248 k
 libGLEW                             x86_64 1.5.8-3.fc15           fedora  85 k
 libcompizconfig                     x86_64 0.9.4-1.fc15           fedora 115 k
 lovelock-backgrounds-stripes-gnome  noarch 14.91.1-1.fc15         fedora 4.8 k
 lovelock-backgrounds-stripes-single noarch 14.91.1-1.fc15         fedora 1.2 M
 protobuf                            x86_64 2.3.0-7.fc15           fedora 288 k

Transaction Summary
================================================================================
Install      10 Package(s)
Upgrade      60 Package(s)

Total download size: 37 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
http://fedora.mirror.netriplex.com/development/15/x86_64/os/repodata/604c75b715410c8df338a781ca94fccbdbbaf513e9fa2a39a6efda55656a972b-prestodelta.xml.gz: [Errno 14] HTTP Error 404 - Not Found : http://fedora.mirror.netriplex.com/development/15/x86_64/os/repodata/604c75b715410c8df338a781ca94fccbdbbaf513e9fa2a39a6efda55656a972b-prestodelta.xml.gz
Trying other mirror.
fedora/prestodelta                                       | 2.5 MB     00:01     
Processing delta metadata
Download delta size: 507 k
(1/9): dmz-cursor-themes-0.4-3.fc14_0.4-4.fc15.noarch.dr |  28 kB     00:00     
(2/9): fedora-screensaver-theme-1.0.0-5.fc12_1.0.0-6.fc1 | 4.4 kB     00:00     
(3/9): gtkspell-2.0.16-1.fc13_2.0.16-2.fc15.x86_64.drpm  |  24 kB     00:00     
(4/9): libewf-20100226-2.fc14_20100226-3.fc15.x86_64.drp |  91 kB     00:00     
(5/9): libgxim-0.3.3-3.fc12_0.3.3-4.fc15.x86_64.drpm     |  93 kB     00:00     
(6/9): libntlm-1.2-1.fc13_1.2-2.fc15.x86_64.drpm         |  14 kB     00:00     
(7/9): mod_dnssd-0.6-2.fc11_0.6-4.fc15.x86_64.drpm       |  11 kB     00:00     
(8/9): pygtksourceview-2.10.1-2.fc14_2.10.1-3.fc15.x86_6 |  30 kB     00:00     
(9/9): qt-assistant-adp-4.6.3-1.fc14_4.6.3-2.fc15.x86_64 | 212 kB     00:00     
Finishing rebuild of rpms, from deltarpms
<delta rebuild>                                          | 931 kB     00:02     
Presto reduced the update size by 46% (from 931 k to 507 k).
Package(s) data still to download: 36 M
(1/61): avahi-ui-0.6.30-3.fc15.x86_64.rpm                |  33 kB     00:00     
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID 069c8460: NOKEY
Public key for avahi-ui-0.6.30-3.fc15.x86_64.rpm is not installed
(2/61): color-filesystem-1-8.noarch.rpm                  | 4.6 kB     00:00     
(3/61): compat-db-headers-4.7.25-19.fc15.noarch.rpm      |  57 kB     00:00     
(4/61): compat-db47-4.7.25-19.fc15.x86_64.rpm            | 738 kB     00:00     
(5/61): compiz-0.9.4-1.fc15.x86_64.rpm                   | 1.3 MB     00:00     
(6/61): compiz-gnome-0.9.4-1.fc15.x86_64.rpm             |  27 kB     00:00     
(7/61): compiz-gtk-0.9.4-1.fc15.x86_64.rpm               | 137 kB     00:00     
(8/61): compiz-plugins-main-0.9.4-1.fc15.x86_64.rpm      | 889 kB     00:00     
(9/61): dbus-c++-0.5.0-0.12.20090203git13281b3.fc15.x86_ | 115 kB     00:00     
(10/61): desktop-backgrounds-gnome-15.0.0-8.fc15.noarch. |  12 kB     00:00     
(11/61): eclipse-mylyn-context-3.5.1-1.fc15.noarch.rpm   | 248 kB     00:00     
(12/61): eclipse-mylyn-context-java-3.5.1-1.fc15.noarch. | 185 kB     00:00     
(13/61): file-devel-5.05-3.fc15.x86_64.rpm               |  25 kB     00:00     
(14/61): flex-static-2.5.35-13.fc15.x86_64.rpm           |  12 kB     00:00     
(15/61): gconfmm26-2.28.2-2.fc15.x86_64.rpm              |  45 kB     00:00     
(16/61): gkrellm-2.3.5-4.fc15.x86_64.rpm                 | 569 kB     00:00     
(17/61): glew-1.5.8-3.fc15.x86_64.rpm                    |  89 kB     00:00     
(18/61): gnome-applets-2.32.0-3.fc15.x86_64.rpm          | 5.5 MB     00:03     
(19/61): gnome-color-manager-3.0.0-3.fc15.x86_64.rpm     | 2.2 MB     00:01     
(20/61): gnome-doc-utils-0.20.5-1.fc15.noarch.rpm        | 284 kB     00:00     
(21/61): gnome-doc-utils-stylesheets-0.20.5-1.fc15.noarc | 149 kB     00:00     
(22/61): gnome-media-2.91.2-6.fc15.x86_64.rpm            | 491 kB     00:00     
(23/61): gnome-user-share-3.0.0-1.fc15.x86_64.rpm        | 711 kB     00:00     
(24/61): gnote-0.7.4-1.fc15.x86_64.rpm                   | 2.1 MB     00:01     
(25/61): gok-2.30.1-1.fc15.x86_64.rpm                    | 1.1 MB     00:01     
(26/61): gtkhtml2-2.11.1-11.fc15.x86_64.rpm              | 229 kB     00:00     
(27/61): gtkimageview-1.6.4-3.fc15.x86_64.rpm            |  39 kB     00:00     
(28/61): gtkmm24-2.24.0-3.fc15.x86_64.rpm                | 831 kB     00:00     
(29/61): gtksourceview2-2.11.2-6.fc15.x86_64.rpm         | 667 kB     00:00     
(30/61): isomd5sum-1.0.7-1.fc15.x86_64.rpm               |  24 kB     00:00     
(31/61): krb5-auth-dialog-3.0.1-1.fc15.x86_64.rpm        | 248 kB     00:00     
(32/61): laughlin-backgrounds-gnome-14.1.0-3.fc15.noarch | 4.8 kB     00:00     
(33/61): laughlin-backgrounds-single-14.1.0-3.fc15.noarc | 7.0 MB     00:03     
(34/61): libGLEW-1.5.8-3.fc15.x86_64.rpm                 |  85 kB     00:00     
(35/61): libcompizconfig-0.9.4-1.fc15.x86_64.rpm         | 115 kB     00:00     
(36/61): libnih-1.0.2-4.fc15.x86_64.rpm                  | 137 kB     00:00     
(37/61): liboil-0.3.16-5.fc15.x86_64.rpm                 | 115 kB     00:00     
(38/61): libxslt-devel-1.1.26-8.fc15.x86_64.rpm          | 305 kB     00:00     
(39/61): libxslt-python-1.1.26-8.fc15.x86_64.rpm         |  49 kB     00:00     
(40/61): livecd-tools-15.7-1.fc15.x86_64.rpm             |  59 kB     00:00     
(41/61): liveusb-creator-3.11.0-1.fc15.noarch.rpm        | 170 kB     00:00     
(42/61): lovelock-backgrounds-stripes-gnome-14.91.1-1.fc | 4.8 kB     00:00     
(43/61): lovelock-backgrounds-stripes-single-14.91.1-1.f | 1.2 MB     00:00     
(44/61): perl-Perlilog-0.3-8.fc15.noarch.rpm             |  59 kB     00:00     
(45/61): pilot-link-devel-0.12.5-5.fc15.x86_64.rpm       |  67 kB     00:00     
(46/61): policycoreutils-gui-2.0.86-7.fc15.x86_64.rpm    | 204 kB     00:00     
(47/61): protobuf-2.3.0-7.fc15.x86_64.rpm                | 288 kB     00:00     
(48/61): pykickstart-1.82-1.fc15.noarch.rpm              | 274 kB     00:00     
(49/61): pyparted-3.5-2.fc15.x86_64.rpm                  | 183 kB     00:00     
(50/61): python-imgcreate-15.7-1.fc15.x86_64.rpm         |  89 kB     00:00     
(51/61): qt3-3.3.8b-35.fc15.x86_64.rpm                   | 3.4 MB     00:02     
(52/61): setools-console-3.3.7-12.fc15.x86_64.rpm        | 318 kB     00:00     
(53/61): shared-color-profiles-0.1.4-1.fc15.noarch.rpm   | 143 kB     00:00     
(54/61): squashfs-tools-4.2-1.fc15.x86_64.rpm            | 114 kB     00:00     
(55/61): syslinux-4.02-4.fc15.x86_64.rpm                 | 784 kB     00:00     
(56/61): syslinux-extlinux-4.02-4.fc15.x86_64.rpm        | 335 kB     00:00     
(57/61): system-config-lvm-1.1.15-2.fc15.noarch.rpm      | 458 kB     00:00     
(58/61): system-config-network-1.6.2-2.fc15.noarch.rpm   | 308 kB     00:00     
(59/61): testdisk-6.11-9.fc15.x86_64.rpm                 | 267 kB     00:00     
(60/61): tomcat5-jasper-5.5.31-3.fc15.noarch.rpm         | 473 kB     00:00     
(61/61): tomcat5-jsp-2.0-api-5.5.31-3.fc15.noarch.rpm    |  74 kB     00:00     
--------------------------------------------------------------------------------
Total                                           1.2 MB/s |  36 MB     00:29     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64
Importing GPG key 0x069C8460:
 Userid : Fedora (15) <fedora at fedoraproject.org>
 Package: fedora-release-15-1.noarch (@anaconda-InstallationRepo-201105131943.x86_64)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64
Is this ok [y/N]: y
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libgweather.so.1()(64bit) is needed by gnome-applets-1:2.32.0-3.fc15.x86_64
libpanel-applet-2.so.0()(64bit) is needed by gnome-applets-1:2.32.0-3.fc15.x86_64
libpanel-applet-3.so.0()(64bit) is needed by gnome-applets-1:2.32.0-3.fc15.x86_64
Please report this error in http://yum.baseurl.org/report
** Found 30 pre-existing rpmdb problem(s), 'yum check' output follows:
avahi-ui-0.6.27-2.fc14.x86_64 has missing requires of avahi = ('0', '0.6.27', '2.fc14')
eclipse-mylyn-java-3.4.0-4.fc14.noarch has missing requires of eclipse-mylyn-ide = ('0', '3.4.0', '4.fc14')
file-devel-5.04-16.fc14.x86_64 has missing requires of file = ('0', '5.04', '16.fc14')
1:gnome-applets-2.32.0-3.fc14.x86_64 has missing requires of libgucharmap.so.7()(64bit)
1:gnome-applets-2.32.0-3.fc14.x86_64 has missing requires of libgweather.so.1()(64bit)
1:gnome-applets-2.32.0-3.fc14.x86_64 has missing requires of libnotify.so.1()(64bit)
1:gnome-applets-2.32.0-3.fc14.x86_64 has missing requires of libpanel-applet-2.so.0()(64bit)
1:gnome-applets-2.32.0-3.fc14.x86_64 has missing requires of libpanel-applet-3.so.0()(64bit)
gnome-color-manager-2.32.0-2.fc14.x86_64 has missing requires of libnotify.so.1()(64bit)
gnome-media-2.32.0-2.fc14.x86_64 has missing requires of libgnome-media-profiles.so.0()(64bit)
gnome-python2-applet-2.32.0-3.fc14.x86_64 has missing requires of libpanel-applet-2.so.0()(64bit)
gnome-user-share-2.30.1-1.fc14.x86_64 has missing requires of libnotify.so.1()(64bit)
gnote-0.7.3-4.fc14.x86_64 has missing requires of libboost_filesystem-mt.so.1.44.0()(64bit)
gnote-0.7.3-4.fc14.x86_64 has missing requires of libboost_system-mt.so.1.44.0()(64bit)
gnote-0.7.3-4.fc14.x86_64 has missing requires of libpanel-applet-2.so.0()(64bit)
krb5-auth-dialog-0.16-1.fc14.x86_64 has missing requires of libnm-glib.so.2()(64bit)
krb5-auth-dialog-0.16-1.fc14.x86_64 has missing requires of libnotify.so.1()(64bit)
libpanelappletmm-2.26.0-2.fc12.x86_64 has missing requires of libpanel-applet-2.so.0()(64bit)
libxslt-devel-1.1.26-3.fc14.x86_64 has missing requires of libxslt = ('0', '1.1.26', '3.fc14')
libxslt-python-1.1.26-3.fc14.x86_64 has missing requires of libxslt = ('0', '1.1.26', '3.fc14')
2:pilot-link-devel-0.12.5-2.fc14.x86_64 has missing requires of pilot-link = ('2', '0.12.5', '2.fc14')
policycoreutils-gui-2.0.83-33.10.fc14.x86_64 has missing requires of policycoreutils-python = ('0', '2.0.83', '33.10.fc14')
setools-console-3.3.7-11.fc14.x86_64 has missing requires of setools-libs = ('0', '3.3.7', '11.fc14')
squashfs-tools-4.1-2.fc14.x86_64 has missing requires of liblzma.so.0()(64bit)
system-config-network-1.6.2-1.fc14.noarch has missing requires of system-config-network-tui = ('0', '1.6.2', '1.fc14')
testdisk-6.11-6.fc12.x86_64 has missing requires of libntfs.so.10()(64bit)
tomcat5-jasper-5.5.27-7.4.fc12.noarch has missing requires of tomcat5-servlet-2.4-api = ('0', '5.5.27', '7.4.fc12')
tomcat5-jsp-2.0-api-5.5.27-7.4.fc12.noarch has missing requires of tomcat5-servlet-2.4-api = ('0', '5.5.27', '7.4.fc12')
tomcat5-jsp-2.0-api-5.5.27-7.4.fc12.noarch has missing requires of tomcat5-servlet-2.4-api = ('0', '5.5.27', '7.4.fc12')
tomcat5-jsp-2.0-api-5.5.27-7.4.fc12.noarch has missing requires of tomcat5-servlet-2.4-api = ('0', '5.5.27', '7.4.fc12')
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2011-05-15-13-15J1MQMH.yumtx
[root at vista ryniker]# 


More information about the test mailing list